net.fortuna.ical4j.model.parameter

## Class PartStat

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Parameter
    - - net.fortuna.ical4j.model.parameter.PartStat

All Implemented Interfaces:
  Serializable

    public class PartStat
    extends Parameter

$Id$ [18-Apr-2004] Defines a Participation Status parameter.

Author:
  benfortuna
See Also:
  Serialized Form

### Field Summary

Fields
`static PartStat` `ACCEPTED` Accepted.
`static PartStat` `COMPLETED` Completed.
`static PartStat` `DECLINED` Declined.
`static PartStat` `DELEGATED` Delegated.
`static PartStat` `IN_PROCESS` In-process.
`static PartStat` `NEEDS_ACTION` Needs action.
`static PartStat` `TENTATIVE` Tentative.

### Fields inherited from class net.fortuna.ical4j.model.Parameter

`ABBREV, ALTREP, CN, CUTYPE, DELEGATED_FROM, DELEGATED_TO, DIR, ENCODING, EXPERIMENTAL_PREFIX, FBTYPE, FMTTYPE, LANGUAGE, MEMBER, PARTSTAT, RANGE, RELATED, RELTYPE, ROLE, RSVP, SCHEDULE_AGENT, SCHEDULE_STATUS, SENT_BY, TYPE, TZID, VALUE, VVENUE`

### Constructor Summary

Constructors
Constructor and Description
`PartStat(String aValue)`

### Method Summary

Methods
`String` `getValue()`

### Methods inherited from class net.fortuna.ical4j.model.Parameter

`copy, equals, getName, hashCode, isQuotable, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NEEDS_ACTION

    public static final PartStat NEEDS_ACTION

Needs action.

#### ACCEPTED

    public static final PartStat ACCEPTED

Accepted.

#### DECLINED

    public static final PartStat DECLINED

Declined.

#### TENTATIVE

    public static final PartStat TENTATIVE

Tentative.

#### DELEGATED

    public static final PartStat DELEGATED

Delegated.

#### COMPLETED

    public static final PartStat COMPLETED

Completed.

#### IN_PROCESS

    public static final PartStat IN_PROCESS

In-process.

### Constructor Detail

#### PartStat

    public PartStat(String aValue)

Parameters:
  `aValue` - a string representation of a participation status

### Method Detail

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value